Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.idl.reflect
Interface idlUnion

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlUnion

public interface idlUnion
extends idlObject

This class is implemented by all IDL objects that represent a IDL union.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`idlUnion` | `description()` Return the union description ( if forwarded )
`idlObject` | `discriminant()` Return the discriminant type
`boolean` | `isForward()` Return TRUE is this union is forward

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### isForward

    public boolean isForward()

  Return TRUE is this union is forward

### description

    public idlUnion description()

  Return the union description ( if forwarded )

### discriminant

    public idlObject discriminant()

  Return the discriminant type

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD